Bug 1243025 - systemd support not enabled
Summary: systemd support not enabled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tor
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-14 15:05 UTC by Tomasz Torcz
Modified: 2020-11-05 09:38 UTC (History)
4 users (show)

Fixed In Version: tor-0.2.6.10-4.fc23 tor-0.2.6.10-4.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-24 20:38:36 UTC
Type: Bug


Attachments (Terms of Use)
0001-enable-upstream-systemd-support.patch (4.02 KB, patch)
2015-07-14 15:05 UTC, Tomasz Torcz
no flags Details | Diff

Description Tomasz Torcz 2015-07-14 15:05:58 UTC
Created attachment 1051903 [details]
0001-enable-upstream-systemd-support.patch

Hi,

I've noticed that Tor in Fedora is built without full systemd support.
Attached .spec patch fixes that:
- upstream systemd unit is used
- sd_notify() support and watchdog are enabled

I've synchronised tor@.service with upstream unit, too.



Version-Release number of selected component (if applicable):
tor-0.2.6.10-1.fc23.x86_64

Comment 1 Jan Kurik 2015-07-15 13:16:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 Fedora Update System 2015-09-29 12:37:19 UTC
tor-0.2.6.10-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-84e1775aee

Comment 3 Fedora Update System 2015-09-29 12:42:53 UTC
tor-0.2.6.10-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-837312bc1f

Comment 4 Fedora Update System 2015-09-29 12:46:31 UTC
tor-0.2.6.10-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a4ea481633

Comment 5 Fedora Update System 2015-10-01 23:54:25 UTC
tor-0.2.6.10-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update tor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-84e1775aee

Comment 6 Fedora Update System 2015-10-02 01:10:39 UTC
tor-0.2.6.10-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update tor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a4ea481633

Comment 7 Fedora Update System 2015-10-02 01:50:09 UTC
tor-0.2.6.10-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update tor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-84e1775aee

Comment 8 Fedora Update System 2015-10-03 18:28:34 UTC
tor-0.2.6.10-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-9c4f67e9ec

Comment 9 Fedora Update System 2015-10-03 18:28:36 UTC
tor-0.2.6.10-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-33097305a5

Comment 10 Fedora Update System 2015-10-04 01:38:01 UTC
tor-0.2.6.10-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update tor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-837312bc1f

Comment 11 Fedora Update System 2015-10-05 02:52:06 UTC
tor-0.2.6.10-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update tor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-33097305a5

Comment 12 Fedora Update System 2015-10-05 04:20:53 UTC
tor-0.2.6.10-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update tor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-9c4f67e9ec

Comment 13 Fedora Update System 2015-10-07 16:35:02 UTC
tor-0.2.6.10-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-11-07 04:08:07 UTC
tor-0.2.6.10-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-11-09 09:17:29 UTC
tor-0.2.6.10-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-488e7e1ea3

Comment 16 Fedora Update System 2015-11-10 02:22:43 UTC
tor-0.2.6.10-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update tor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-488e7e1ea3


Note You need to log in before you can comment on or make changes to this bug.